/**Begin D:\PDM_UPGRADE\PDM1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_FUNCTIONPERMLOG') 
 CREATE TABLE T_BCM_FUNCTIONPERMLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FUSERNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPERMENTITY VARCHAR(100) DEFAULT ' ' NOT NULL,
FPERMNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISUNIONPERM VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(200) DEFAULT ' ' NOT NULL,
FCLIENTTYPE CHAR(1) DEFAULT '1' NOT NULL,
FCLIENTADDRESS VARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_DATAPERMLOG') 
 CREATE TABLE T_BCM_DATAPERMLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FUSERNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPERMISSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMENSIONNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FMEMBERNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FMEMBERNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FRANGE VARCHAR(100) DEFAULT ' ' NOT NULL,
FPERMCLASSNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FDISTRIBUTEOBJECT VARCHAR(200) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(200) DEFAULT ' ' NOT NULL,
FCLIENTTYPE CHAR(1) DEFAULT '1' NOT NULL,
FCLIENTADDRESS VARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);



/**End D:\PDM_UPGRADE\PDM1\BCM_table.sql **/
